xine-lib: qt_trak Struct Reference

xine-lib 1.2.13-20230125hg15249

Data Fields
qt_trak Struct Reference

## Data Fields
media_type | type
int | id
qt_frame * | frames
unsigned int | frame_count
unsigned int | current_frame
properties_t * | properties
properties_t * | stsd_atoms
unsigned int | stsd_atoms_count
int | timescale
int | ptsoffs_mul
scale_int_t | si
unsigned int | flags
edit_list_table_t * | edit_list_table
uint8_t * | chunk_offset_table32
uint8_t * | chunk_offset_table64
uint8_t * | sample_size_table
uint8_t * | sync_sample_table
xine_keyframes_entry_t * | keyframes_list
sample_to_chunk_table_t * | sample_to_chunk_table
uint8_t * | time_to_sample_table
uint8_t * | timeoffs_to_sample_table
unsigned int | edit_list_count
unsigned int | chunk_offset_count
unsigned int | samples
unsigned int | sample_size
unsigned int | sample_size_count
unsigned int | sample_size_bytes
unsigned int | sample_size_shift
unsigned int | sync_sample_count
unsigned int | keyframes_used
unsigned int | keyframes_size
unsigned int | sample_to_chunk_count
unsigned int | time_to_sample_count
unsigned int | timeoffs_to_sample_count
int | audio_index
int | lang
int | default_sample_description_index
int | default_sample_duration
int | default_sample_size
int | default_sample_flags
int64_t | fragment_dts
int | delay_index
int | fragment_frames

## Field Documentation

## ◆ audio_index

int qt_trak::audio_index

Referenced by demux_qt_send_chunk(), and demux_qt_send_headers().

## ◆ chunk_offset_count

unsigned int qt_trak::chunk_offset_count

Referenced by build_frame_table(), and parse_trak_atom().

## ◆ chunk_offset_table32

uint8_t* qt_trak::chunk_offset_table32

Referenced by build_frame_table(), and parse_trak_atom().

## ◆ chunk_offset_table64

uint8_t* qt_trak::chunk_offset_table64

Referenced by build_frame_table(), and parse_trak_atom().

## ◆ current_frame

unsigned int qt_trak::current_frame

Referenced by binary_seek(), build_frame_table(), demux_qt_get_optional_data(), demux_qt_seek(), demux_qt_send_chunk(), and parse_trak_atom().

## ◆ default_sample_description_index

int qt_trak::default_sample_description_index

Referenced by parse_mvex_atom(), and parse_traf_atom().

## ◆ default_sample_duration

int qt_trak::default_sample_duration

Referenced by parse_mvex_atom(), and parse_traf_atom().

## ◆ default_sample_flags

int qt_trak::default_sample_flags

Referenced by parse_mvex_atom(), and parse_traf_atom().

## ◆ default_sample_size

int qt_trak::default_sample_size

Referenced by parse_mvex_atom(), and parse_traf_atom().

## ◆ delay_index

int qt_trak::delay_index

Referenced by parse_mvex_atom(), parse_traf_atom(), and parse_trak_atom().

## ◆ edit_list_count

unsigned int qt_trak::edit_list_count

Referenced by build_frame_table(), parse_mvex_atom(), and parse_trak_atom().

## ◆ edit_list_table

edit_list_table_t* qt_trak::edit_list_table

Referenced by build_frame_table(), parse_mvex_atom(), parse_traf_atom(), and parse_trak_atom().

## ◆ flags

unsigned int qt_trak::flags

Referenced by parse_trak_atom().

## ◆ fragment_dts

int64_t qt_trak::fragment_dts

Referenced by build_frame_table(), parse_mvex_atom(), and parse_traf_atom().

## ◆ fragment_frames

int qt_trak::fragment_frames

Referenced by parse_mvex_atom(), and parse_traf_atom().

## ◆ frame_count

unsigned int qt_trak::frame_count

Referenced by binary_seek(), build_frame_table(), demux_qt_seek(), demux_qt_send_chunk(), demux_qt_send_headers(), parse_moov_atom(), parse_mvex_atom(), parse_traf_atom(), parse_trak_atom(), and qt_update_duration().

## ◆ frames

qt_frame* qt_trak::frames

Referenced by binary_seek(), build_frame_table(), demux_qt_get_optional_data(), demux_qt_seek(), demux_qt_send_chunk(), demux_qt_send_headers(), parse_moov_atom(), parse_traf_atom(), parse_trak_atom(), and qt_update_duration().

## ◆ id

int qt_trak::id

Referenced by parse_trak_atom().

## ◆ keyframes_list

xine_keyframes_entry_t* qt_trak::keyframes_list

Referenced by parse_moov_atom(), parse_trak_atom(), qt_keyframes_simple_add(), and qt_keyframes_size().

## ◆ keyframes_size

unsigned int qt_trak::keyframes_size

Referenced by build_frame_table(), parse_moov_atom(), parse_trak_atom(), qt_keyframes_simple_add(), and qt_keyframes_size().

## ◆ keyframes_used

unsigned int qt_trak::keyframes_used

Referenced by parse_moov_atom(), parse_traf_atom(), parse_trak_atom(), and qt_keyframes_simple_add().

## ◆ lang

int qt_trak::lang

Referenced by parse_trak_atom().

## ◆ properties

properties_t* qt_trak::properties

Referenced by build_frame_table(), demux_qt_send_chunk(), demux_qt_send_headers(), parse_moov_atom(), and parse_trak_atom().

## ◆ ptsoffs_mul

int qt_trak::ptsoffs_mul

Referenced by build_frame_table(), and parse_traf_atom().

## ◆ sample_size

unsigned int qt_trak::sample_size

Referenced by build_frame_table(), and parse_trak_atom().

## ◆ sample_size_bytes

unsigned int qt_trak::sample_size_bytes

Referenced by build_frame_table(), and parse_trak_atom().

## ◆ sample_size_count

unsigned int qt_trak::sample_size_count

Referenced by build_frame_table(), and parse_trak_atom().

## ◆ sample_size_shift

unsigned int qt_trak::sample_size_shift

Referenced by build_frame_table(), and parse_trak_atom().

## ◆ sample_size_table

uint8_t* qt_trak::sample_size_table

Referenced by build_frame_table(), and parse_trak_atom().

## ◆ sample_to_chunk_count

unsigned int qt_trak::sample_to_chunk_count

Referenced by build_frame_table(), and parse_trak_atom().

## ◆ sample_to_chunk_table

sample_to_chunk_table_t* qt_trak::sample_to_chunk_table

Referenced by build_frame_table(), and parse_trak_atom().

## ◆ samples

unsigned int qt_trak::samples

Referenced by build_frame_table(), and parse_trak_atom().

## ◆ si

scale_int_t qt_trak::si

Referenced by build_frame_table(), parse_traf_atom(), and parse_trak_atom().

## ◆ stsd_atoms

properties_t* qt_trak::stsd_atoms

Referenced by build_frame_table(), and parse_trak_atom().

## ◆ stsd_atoms_count

unsigned int qt_trak::stsd_atoms_count

Referenced by build_frame_table(), and parse_trak_atom().

## ◆ sync_sample_count

unsigned int qt_trak::sync_sample_count

Referenced by build_frame_table(), and parse_trak_atom().

## ◆ sync_sample_table

uint8_t* qt_trak::sync_sample_table

Referenced by build_frame_table(), and parse_trak_atom().

## ◆ time_to_sample_count

unsigned int qt_trak::time_to_sample_count

Referenced by build_frame_table(), and parse_trak_atom().

## ◆ time_to_sample_table

uint8_t* qt_trak::time_to_sample_table

Referenced by build_frame_table(), and parse_trak_atom().

## ◆ timeoffs_to_sample_count

unsigned int qt_trak::timeoffs_to_sample_count

Referenced by build_frame_table(), and parse_trak_atom().

## ◆ timeoffs_to_sample_table

uint8_t* qt_trak::timeoffs_to_sample_table

Referenced by build_frame_table(), and parse_trak_atom().

## ◆ timescale

int qt_trak::timescale

Referenced by build_frame_table(), parse_mvex_atom(), and parse_trak_atom().

## ◆ type

media_type qt_trak::type

Referenced by build_frame_table(), demux_qt_send_chunk(), demux_qt_send_headers(), parse_moov_atom(), parse_traf_atom(), and parse_trak_atom().

The documentation for this struct was generated from the following file:

- xine-lib-1.2.13/src/demuxers/demux_qt.c